Err.sgl {sglOptim} | R Documentation

## Error Rates

### Description

Compute and return the root-mean-square error for each model. This method is only intended for testing.

The root-mean-square error (RMSE) is

\frac{1}{K}∑_{i = 1}^K √{\frac{1}{N}∑_{j=1}^N Y_{ji}-(X\hat β)_{ji}}

RMSE is the default error.

### Usage

    ## S3 method for class 'sgl'
    Err(object, data = NULL, response = object$Y.true, ...)

### Arguments

`object` | a lsgl object.
`data` | a design matrix (the X matrix).
`response` | a matrix of the true responses (the Y matrix).
`...` | ignored.

### Value

a vector of errors.

### Author(s)

Martin Vincent

[Package sglOptim version 1.3.8 Index]